#!/bin/bash

# LOAD YOUR CONDA/VIRTUAL ENV FIRST
# SET UP DATASET PATHS

python train_imagenet.py --config-file $config \
    --data.train_dataset=TBD \
    --data.val_dataset=TBD \
    --data.num_workers=$workers \
    --logging.folder=$logdir \
    --logging.save_model=$save_model \
    --logging.log_level=$log_level \
    --dist.world_size=$gpus \
    --training.crop_scale=$crop \
    --training.weight_decay=$weight_decay \
    --training.dropout2d=$dropout2d \
    --training.dropout1d=$dropout1d \
    --model.arch=$arch \
    --dist.port=$(( $RANDOM % 1000 + 6000 ))
